<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('conversion')
const tabs = ref([
  {value: 'conversion', text: 'Conversion'},
  {value: 'translation', text: 'Translation'},
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('stock_unit_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('stock_unit_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <MaterialsStockUnitDetailRecordConversion v-if="tab === 'conversion'" :action="action" :info="info" />
    <MaterialsStockUnitDetailRecordTranslation v-else-if="tab === 'translation'" :action="action" :info="info" />
  </div>
</template>